# Uses of Class
javafx.scene.shape.Mesh

Packages that use Mesh
Package
Description
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of Mesh in javafx.scene.shape

Subclasses of Mesh in javafx.scene.shape
Modifier and Type
Class
Description
`class`
`TriangleMesh`
Defines a 3D triangle mesh that consists of its associated `VertexFormat` and a set of separate arrays of vertex components such as points, normals, texture coordinates, and an array of faces that define the individual triangles of the mesh.
Methods in javafx.scene.shape that return Mesh
Modifier and Type
Method
Description
`final Mesh`
MeshView.`getMesh()`
Gets the value of the `mesh` property.
Methods in javafx.scene.shape that return types with arguments of type Mesh
Modifier and Type
Method
Description
`final ObjectProperty<Mesh>`
MeshView.`meshProperty()`
Specifies the 3D mesh data of this `MeshView`.
Methods in javafx.scene.shape with parameters of type Mesh
Modifier and Type
Method
Description
`final void`
MeshView.`setMesh(Mesh value)`
Sets the value of the `mesh` property.
Constructors in javafx.scene.shape with parameters of type Mesh
Modifier
Constructor
Description
``
`MeshView(Mesh mesh)`
Creates a new instance of `MeshView` class with the specified `Mesh` surface.